Bug 120576 - XDS causes screen blacking
XDS causes screen blacking
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-11 00:00 EDT by Eric Hattemer
Modified: 2015-01-04 17:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 04:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hattemer 2004-04-11 00:00:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Turning on XDS support in the config file or from within the program's
GUI causes the program to wait 2-10 seconds after a channel change,
then turn 90% black.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open tvtime
2.rt. click
3.input configuration
4. toggle XDS
5.  Make sure it says 'enabled'
6.  Wait 10 seconds
7.  Change the channel and its working again
8.  Wait 10 seconds again

Actual Results:  Tvtime output turns blackish

Expected Results:  XDS shouldn't have an effect on the color

Additional info:

This bug exists in mandrake and RH, so is likely upstream.
Comment 1 Gregory Gulik 2004-05-20 11:49:40 EDT
I just upgraded from FC1 where I didn't have any problems with tvtime
at all.  After upgrading I too an seeing the picture fade to black
(more like 99% black for me).  This happens with XDS on or off,
doesn't make a difference.

I see the following error on the command line when the screen goes black:
videoinput: Can't read frame. Error was: Input/output error (975).

In addition the following errors are logged to syslog:
May 20 10:47:04 penguin kernel: bttv0: timeout: drop=227
irq=75976/75976, risc=24d5b07c, bits: VSYNC HSYNC OFLOW FDSR
May 20 10:47:04 penguin kernel: bttv0: reset, reinitialize
May 20 10:47:04 penguin kernel: bttv0: PLL can sleep, using XTAL
Comment 2 Gregory Gulik 2004-05-20 11:54:58 EDT
After removing tvtime and installing the package I used on FC1, which
I obtained from the DAG Weirs repo filename
tvtime-0.9.12-0.rhfc1.dag.i386.rpm I found the problem is still there.
 This indicates to me that the problem is in the bttv, v4l, tvtuner or
related driver, not in the tvtime application.

However, on another system that was an FC1 -> FC2 upgrade that still
had the xawtv application I had no trouble at all with xawtv yet
tvtime would go black after a few seconds.
Comment 3 Billy Biggs 2004-06-22 08:46:11 EDT
There is a long-standing problem with the version of bttv that ships
in 2.6 kernels where the card will reset itself if you use the VBI
device and capture video in tvtime.  The problem does not exist in
bttv 0.7 that was shipped with 2.4 kernels.  It was reported to the
bttv maintainer before 2.6 shipped, but he cannot reproduce it and the
bug still exists.  When bttv resets, all of the colour controls are
reset to random values, resulting in a usually black or red screen.

The only known workaround at this time is to not use XDS or closed
captions in tvtime.  If you can at all help with the debugging of this
problem, please contact the bttv maintainer (see
Comment 4 Ngo Than 2005-07-19 10:17:44 EDT
ok, it's a bug in bttv drvier. reassign to kernel.
Comment 5 Dave Jones 2005-08-16 14:34:47 EDT
what kernel version is this ?

Note You need to log in before you can comment on or make changes to this bug.